import { useMutation } from '@tanstack/react-query';

import { chatQueryKeys } from '../chat-query-keys';
import { chatApi, type PostDeleteMessage } from '../chat-api';

import type { BaseAxiosError } from '../../../../types';
import { ResponseType } from '@api/response-type';

export const usePostDeleteMessageMutation = () => {
  return useMutation<ResponseType, BaseAxiosError, PostDeleteMessage, ResponseType>({
    mutationKey: chatQueryKeys.deleteMessage(),
    mutationFn: async (data) => {
      const response = await chatApi.deleteMessage(data);
      return response.data;
    }
  });
};
